Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: dpdk
Source: https://dpdk.org

Files: *
Copyright: 2008-2018 Cisco Systems, Inc.
           2012-2020 6WIND S.A.
           1999-2020 Intel Corporation.
           2010-2013 Tilera Corporation.
           2012-2020 Mellanox.
           2007      VMware, Inc.
           2007      Nuova Systems, Inc.
           2014-2020 IBM Corporation.
           and many other contributors.
License: BSD-3-clause

Files:
 kernel/linux/kni/kni_fifo.h
 kernel/linux/kni/kni_dev.h
 kernel/linux/kni/kni_net.c
 kernel/linux/kni/compat.h
 kernel/linux/kni/kni_misc.c
Copyright: 2007-2020, Intel Corporation
           2006-2007 Myricom, Inc. for some LRO specific code
License: GPL-2

Files:
 lib/eal/include/rte_pci_dev_feature_defs.h
 lib/eal/include/rte_pci_dev_features.h
 drivers/bus/dpaa/base/fman/fman.c
 drivers/bus/dpaa/base/fman/netcfg_layer.c
 drivers/bus/dpaa/base/qbman/bman.c
 drivers/bus/dpaa/base/qbman/bman.h
 drivers/bus/dpaa/base/qbman/bman_driver.c
 drivers/bus/dpaa/base/qbman/bman_priv.h
 drivers/bus/dpaa/base/qbman/dpaa_alloc.c
 drivers/bus/dpaa/base/qbman/dpaa_sys.c
 drivers/bus/dpaa/base/qbman/dpaa_sys.h
 drivers/bus/dpaa/base/qbman/process.c
 drivers/bus/dpaa/base/qbman/qman.c
 drivers/bus/dpaa/base/qbman/qman.h
 drivers/bus/dpaa/base/qbman/qman_driver.c
 drivers/bus/dpaa/base/qbman/qman_priv.h
 drivers/bus/dpaa/include/fman.h
 drivers/bus/dpaa/include/fsl_bman.h
 drivers/bus/dpaa/include/fsl_fman.h
 drivers/bus/dpaa/include/fsl_fman_crc64.h
 drivers/bus/dpaa/include/fsl_qman.h
 drivers/bus/dpaa/include/fsl_usd.h
 drivers/bus/dpaa/include/netcfg.h
 drivers/bus/dpaa/include/process.h
 drivers/bus/fslmc/*
 drivers/common/dpaax/*
 drivers/common/qat/*
 drivers/crypto/dpaa2_sec/*
 drivers/crypto/qat/*
 drivers/net/atlantic/*
 drivers/net/bnxt/bnxt_nvm_defs.h
 drivers/net/dpaa2/*
Copyright: 2010-2020, Intel Corporation.
License: BSD-3-clause or GPL-2

Files:
 drivers/net/avp/rte_avp_common.h
 drivers/net/avp/rte_avp_fifo.h
 lib/kni/rte_kni_common.h
Copyright: 2007-2020 Intel Corporation.
           2013-2017 Wind River Systems, Inc.
License: BSD-3-clause or LGPL-2.1

Files: debian/*
Copyright: 2015-2022 Canonical Ltd.
           2016-2022 Luca Boccassi <bluca@debian.org>
License: GPL-3

License: GPL-2
 On Debian systems, the complete text of the GNU General
 Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

License: GPL-3
 On Debian systems, the complete text of the GNU General
 Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".

License: LGPL-2.1
 On Debian systems, the complete text of the GNU Library General Public
 License can be found in the file `/usr/share/common-licenses/LGPL-2.1'.

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 .
 * Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in
   the documentation and/or other materials provided with the
   distribution.
 * Neither the name of Intel Corporation nor the names of its
   contributors may be used to endorse or promote products derived
   from this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
